<!DOCTYPE html>
<html lang="en">
  <head>
    <style type="text/css">
     .shadow {
	 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     }
     #lutable td {
	 font-size: 75%;
	 padding: 4 !important;
	 margin: 4 !important;
     }

     #lutable th {
	 font-size: 85%;
     }

     .card-view .title {
	 font-weight: bold;
	 display: inline-block;
	 min-width: 30%;
	 text-align: left !important;
     }

     #lutable tbody {
	 display:block;
	 height: calc(69vh);
	 overflow-y:scroll;
     }
     #lutable thead,#lutable tbody tr {
	 display:table;
	 width:100%;
	 table-layout:fixed;
     }
     #lutable thead {
	 width: calc( 99.1% );
     }

     .calign{
	 text-align:center;
     }
     .lalign{
	 text-align:left;
     }
     .dtwrap{
	 width :6%
     }
     .smwrap{
	 width:3%
     }
     .smwrap1{
	 width:2.4%
     }

     .lngwrap{
	 width:16%
     }
     .mdwrap{
	 width:8%
     }

    </style>
  </head>
  <body>
    <div class="col-xs-10 nopadding">
      <span style="margin-left:52%; display:table; font-size:120%;"><strong>{% trans %}List of Users{% endtrans %}</strong></span>
    <button class="btn btn-sm btn-danger pull-right" type="button" style="margin-right: 15px;display:none;" id="luclearfields">{% trans %}Clear Search{% endtrans %}<span class="glyphicon glyphicon-remove" style="margin-left: 5px;"></span></button>
    </div>
    <div class="pull-right input-group input-group-sm" style="margin-bottom:2px;">
      <span class="input-group-addon glyphicon glyphicon-search" id="reportsearchspan">
      </span>
      <input id="reportsearch" class="form-control" type="text" accesskey="s" placeholder="{% trans %}Quick Search{% endtrans %}"/>
      <span class="input-group-addon glyphicon glyphicon-arrow-left" id="reportclearsearchspan" style="display:none;">
      </span>
    </div>
    <table id="lutable" class="table shadow table-bordered">
      <thead class="bg-primary">
	<tr>
          <th class="smwrap1 calign" >
            {% trans %}Sr.No.{% endtrans %}
          </th>
          <th class="dtwrap lalign">
            {% trans %}User Name{% endtrans %}
          </th>
          <th class="dtwrap lalign">
            {% trans %}User Role{% endtrans %}
          </th>
          <th class="lngwrap lalign">
            {% trans %}Associated Godown(s){% endtrans %}
          </th>
	</tr>
      </thead>
      <tbody>

	{% for record in gkresult %}
	  <tr	value="{{record["userid"]}}">
            <td class="smwrap1 calign" >
              {{record["srno"]}}
            </td>
            <td class="dtwrap lalign">
              {{record["username"]}}
            </td>
            <td class="dtwrap lalign" >
              {{record["userrole"]}}
            </td>
            <td class="lngwrap lalign" >
              {% for godown in record["godowns"] %}
		{% if loop.index == record["noofgodowns"] %}
		  {{godown}}
		{% else %}
		  {{godown}},
		{% endif %}
              {% endfor %}
            </td>
	  </tr>
	{% endfor %}

      </tbody>
    </table>
    <span style="margin:auto; display:table;">
      <button type="button" id="report_back" accesskey="k" class="btn btn-sm btn-danger">Bac<u>k</u></button>
      <button class="btn btn-sm btn-primary" type="button"  id="print" accesskey="x"><i class="fa fa-file-excel-o" aria-hidden="true"></i> {% trans %}E<u>x</u>port to Spreadsheet{% endtrans %}</button>
      <button type="button" class="btn btn-sm btn-info" id="viewprintableversion" accesskey="t"><i class="fa fa-print" aria-hidden="true"></i> {% trans %}View Prin<u>t</u>able Version{% endtrans %}</button>
  </span>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/listofusers.js')}}"></script>
</body>
</html>
